$!helo!
$! Author: Maulis, Adam, <maulis@ludens.elte.hu>
$!
$! file: SET_SSHD_WELCOME.COM
$! description
$!	interpret and convert contents of SYS$WELCOME (motd on OpenVMS systems)
$!	to the SSHD_WELCOME logical. (for the patched tcpip$ssh_sshd2.exe)
$!
$ c = f$trnlnm("SYS$WELCOME")
$ if c .eqs. "" then exit ! nothing to do
$ if f$extr(0,1,c) .nes. "@"
$ then ! simple translation
$	define/sys sshd_welcome "''c'"
$	exit
$ endif
$ ! redirection
$
$ crlf[0,16]=%x0A0D
$ str = ""
$ op/read fi 'f$extr(1,9999,c)'
$ read /end=end_read_label fi line
$ str = line
$ read_label:
$	read /end=end_read_label fi line
$	str = str + crlf + line
$	if f$len(str) .gt. 254 then goto end_read_label
$ goto read_label
$ end_read_label:
$ close fi
$ if f$len(str) .gt. 254
$ then
$    say "WARNING: contents of file pointed by sys$welcome is too long, 
$    say "         truncated to fit in 254 chars"
$    str = f$extr(0,254,str)
$ endif
! do not put the termination " 
$ define/system sshd_welcome "''str'
